### Hierarchy

- OwnPropsOfControl
  - OwnOneOfProps

## Index

### Properties

- cells
- enabled
- id
- indexOfFittingSchema
- path
- renderers
- schema
- uischema
- uischemas
- visible

## Properties

### Optional cells

cells: JsonFormsCellRendererRegistryEntry[]

Inherited from MaterialLayoutRendererProps.cells

### Optional enabled

enabled: boolean

Inherited from MaterialLayoutRendererProps.enabled

Whether the rendered element should be enabled.

### Optional id

id: string

Inherited from OwnOneOfProps.id

### Optional indexOfFittingSchema

indexOfFittingSchema: number

- Defined in packages/material/src/complex/MaterialOneOfRenderer.tsx:57

### Optional path

path: string

Inherited from MaterialLayoutRendererProps.path

Optional instance path. Necessary when the actual data path can not be inferred via the UI schema element as it is the case with nested controls.

### Optional renderers

renderers: JsonFormsRendererRegistryEntry[]

Inherited from MaterialLayoutRendererProps.renderers

### Optional schema

schema: JsonSchema

Inherited from MaterialLayoutRendererProps.schema

The JSON schema that describes the data.

### Optional uischema

uischema: ControlElement

Inherited from OwnOneOfProps.uischema

Overrides MaterialLayoutRendererProps.uischema

### Optional uischemas

uischemas: JsonFormsUISchemaRegistryEntry[]

Inherited from MaterialLayoutRendererProps.uischemas

### Optional visible

visible: boolean

Inherited from MaterialLayoutRendererProps.visible

Whether the rendered element should be visible.

Generated using TypeDoc